site_name: LdapSaisie
site_description: Documentation
site_author: Benjamin Renard <brenard@easter-eggs.com / brenard@zionetrix.net>
site_url: https://ldapsaisie.org/doc/
copyright: Easter-eggs
docs_dir: 'src'
site_dir: 'public_html'
repo_name: ee/ldapsaisie
repo_url: https://gitlab.easter-eggs.com/ee/ldapsaisie

theme:
    name: material
    custom_dir: 'overrides/'
    logo: assets/images/logo.png
    favicon: assets/images/favicon.png
    language: fr
    palette:
        primary: light blue
        accent: blue

extra:
  homepage: https://ldapsaisie.org
  version:
    provider: mike

plugins:
  - search:
      lang: fr                                      # Set language for search
  - mike:
      alias_type: symlink
      deploy_prefix: doc/dist
      canonical_version: dev
      version_selector: true
      css_dir: css
      javascript_dir: js
  - print-site:
      add_to_navigation: true
      print_page_title: 'Documentation'
      # Table of contents
      add_table_of_contents: true
      toc_title: 'Table des matières'
      toc_depth: 6
      # Content-related
      add_full_urls: false
      enumerate_headings: true
      enumerate_figures: true
      add_cover_page: true
      cover_page_template: "src/assets/templates/custom_cover_page.tpl"
      print_site_banner_template: "src/assets/templates/print_site_banner.tpl"
      path_to_pdf: ""
      enabled: !ENV [ENABLED_PRINT_SITE, True]
      exclude:


nav:
- Introduction: index.md
- Installation:
  - Pré-requis: install/requirements.md
  - Téléchargement: install/download.md
  - Arborescence du projet: install/arbo.md
  - Tutoriel d'installation: install/howto.md
- Mise à jour:
  - Instroduction: upgrade/index.md
  - Procédure de mise à jour: upgrade/method.md
  - 2.4.1 -> 3.0.0: upgrade/2_4_1-to-3_0_0.md
- Configuration:
  - Introduction: conf/index.md
  - Configuration globale:
    - Introduction: conf/global/index.md
    - Connexion LDAP:
      - Configuration des serveurs LDAP: conf/global/ldap/index.md
      - Profils d'utilisateurs (LSprofile): conf/global/ldap/LSprofile.md
      - Sous-niveaux de connexion (subDn): conf/global/ldap/subDn.md
      - Récupération de mot de passe: conf/global/ldap/recoverPassword.md
    - Configuration de la journalisation (LSlog): conf/global/LSlog.md
    - Format paramétrable (LSformat): conf/global/LSformat.md
    - Paramètres étendus des recherches dans l'annuaire: conf/global/LDAP_search_params.md
  - Objets de l'annuaire:
    - Configuration LSobject: conf/LSobject/index.md
    - Attributs:
      - Configuration des attributs: conf/LSobject/LSattribute/index.md
      - Types d'attribut LDAP (LSattr_ldap):
        - Introduction:  conf/LSobject/LSattribute/LSattr_ldap/index.md
        - ascii: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_ascii.md
        - boolean: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_boolean.md
        - compositeValueToJson: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_compositeValueToJSON.md
        - date: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_date.md
        - image: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_image.md
        - naiveDate: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_naiveDate.md
        - numeric: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_numeric.md
        - password: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_password.md
        - postaladdress: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_postaladdress.md
        - pwdHistory: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_pwdHistory.md
        - sambaAcctFlags: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_sambaAcctFlags.md
        - shadowExpire: conf/LSobject/LSattribute/LSattr_ldap/LSattr_ldap_shadowExpire.md
      - Types d'attribut HTML (LSattr_html):
        - Introduction:  conf/LSobject/LSattribute/LSattr_html/index.md
        - boolean: conf/LSobject/LSattribute/LSattr_html/LSattr_html_boolean.md
        - date: conf/LSobject/LSattribute/LSattr_html/LSattr_html_date.md
        - image: conf/LSobject/LSattribute/LSattr_html/LSattr_html_image.md
        - jsonCompositeAttribute: conf/LSobject/LSattribute/LSattr_html/LSattr_html_jsonCompositeAttribute.md
        - labeledValue: conf/LSobject/LSattribute/LSattr_html/LSattr_html_labeledValue.md
        - mail: conf/LSobject/LSattribute/LSattr_html/LSattr_html_mail.md
        - maildir: conf/LSobject/LSattribute/LSattr_html/LSattr_html_maildir.md
        - mailQuota: conf/LSobject/LSattribute/LSattr_html/LSattr_html_mailQuota.md
        - password: conf/LSobject/LSattribute/LSattr_html/LSattr_html_password.md
        - postaladdress: conf/LSobject/LSattribute/LSattr_html/LSattr_html_postaladdress.md
        - pre: conf/LSobject/LSattribute/LSattr_html/LSattr_html_pre.md
        - rss: conf/LSobject/LSattribute/LSattr_html/LSattr_html_rss.md
        - sambaAcctFlags: conf/LSobject/LSattribute/LSattr_html/LSattr_html_sambaAcctFlags.md
        - select_box: conf/LSobject/LSattribute/LSattr_html/LSattr_html_select_box.md
        - select_list: conf/LSobject/LSattribute/LSattr_html/LSattr_html_select_list.md
        - select_object: conf/LSobject/LSattribute/LSattr_html/LSattr_html_select_object.md
        - ssh_key: conf/LSobject/LSattribute/LSattr_html/LSattr_html_ssh_key.md
        - tel: conf/LSobject/LSattribute/LSattr_html/LSattr_html_tel.md
        - text: conf/LSobject/LSattribute/LSattr_html/LSattr_html_text.md
        - textarea: conf/LSobject/LSattribute/LSattr_html/LSattr_html_textarea.md
        - url: conf/LSobject/LSattribute/LSattr_html/LSattr_html_url.md
        - valueWithUnit: conf/LSobject/LSattribute/LSattr_html/LSattr_html_valueWithUnit.md
        - wysiwyg: conf/LSobject/LSattribute/LSattr_html/LSattr_html_wysiwyg.md
        - xmpp: conf/LSobject/LSattribute/LSattr_html/LSattr_html_xmpp.md
      - Règles de vérification syntaxique (LSformRule):
        - Introduction: conf/LSobject/LSattribute/check_data/index.md
        - alphanumeric: conf/LSobject/LSattribute/check_data/alphanumeric.md
        - callable: conf/LSobject/LSattribute/check_data/callable.md
        - date: conf/LSobject/LSattribute/check_data/date.md
        - differentPassword: conf/LSobject/LSattribute/check_data/differentPassword.md
        - email: conf/LSobject/LSattribute/check_data/email.md
        - filesize: conf/LSobject/LSattribute/check_data/filesize.md
        - imagefile: conf/LSobject/LSattribute/check_data/imagefile.md
        - imagesize: conf/LSobject/LSattribute/check_data/imagesize.md
        - inarray: conf/LSobject/LSattribute/check_data/inarray.md
        - integer: conf/LSobject/LSattribute/check_data/integer.md
        - ldapSearchURI: conf/LSobject/LSattribute/check_data/ldapSearchURI.md
        - lettersonly: conf/LSobject/LSattribute/check_data/lettersonly.md
        - maxlength: conf/LSobject/LSattribute/check_data/maxlength.md
        - mimetype: conf/LSobject/LSattribute/check_data/mimetype.md
        - minlength: conf/LSobject/LSattribute/check_data/minlength.md
        - nonzero: conf/LSobject/LSattribute/check_data/nonzero.md
        - nopunctuation: conf/LSobject/LSattribute/check_data/nopunctuation.md
        - numberOfValues: conf/LSobject/LSattribute/check_data/numberOfValues.md
        - numeric: conf/LSobject/LSattribute/check_data/numeric.md
        - password: conf/LSobject/LSattribute/check_data/password.md
        - rangelength: conf/LSobject/LSattribute/check_data/rangelength.md
        - regex: conf/LSobject/LSattribute/check_data/regex.md
        - required: conf/LSobject/LSattribute/check_data/required.md
        - ssh_pub_key: conf/LSobject/LSattribute/check_data/ssh_pub_key.md
        - telephonenumber: conf/LSobject/LSattribute/check_data/telephonenumber.md
        - zxcvbn: conf/LSobject/LSattribute/check_data/zxcvbn.md
      - Règles de vérification d'intégrité: conf/LSobject/LSattribute/validation.md
      - Déclencheurs: conf/LSobject/LSattribute/triggers.md
    - Création automatique du conteneur des LSobjets dans un subDn: conf/LSobject/container_auto_create.md
    - Déclencheurs: conf/LSobject/triggers.md
    - Actions personnalisées (customActions): conf/LSobject/customActions.md
    - Les relations entre les objets de l'annuire (LSrelation): conf/LSobject/LSrelation.md
    - Les formulaires (LSform): conf/LSobject/LSform.md
    - Recherche des objets dans l'annuaire (LSsearch) : conf/LSobject/LSsearch.md
    - Les formats d'import/export (ioFormat): conf/LSobject/ioFormat.md
  - Configuration des addons (LSaddons):
    - Introduction: conf/LSaddon/index.md
    - accesslog: conf/LSaddon/LSaddon_accesslog.md
    - asterisk: conf/LSaddon/LSaddon_asterisk.md
    - exportSearchResultAsCSV: conf/LSaddon/LSaddon_exportSearchResultAsCSV.md
    - impersonate: conf/LSaddon/LSaddon_impersonate.md
    - LSaccessRightsMatrixView: conf/LSaddon/LSaddon_LSaccessRightsMatrixView.md
    - mail: conf/LSaddon/LSaddon_mail.md
    - maildir: conf/LSaddon/LSaddon_maildir.md
    - mailquota: conf/LSaddon/LSaddon_mailquota.md
    - phpldapadmin: conf/LSaddon/LSaddon_phpldapadmin.md
    - ppolicy: conf/LSaddon/LSaddon_ppolicy.md
    - showSupportInfo: conf/LSaddon/LSaddon_showSupportInfo.md
    - showTechInfo: conf/LSaddon/LSaddon_showTechInfo.md
  - Configuration des méthodes d'authentification (LSauthMethod):
    - Introduction: conf/LSauthMethod/index.md
    - anonymous: conf/LSauthMethod/LSauthMethod_anonymous.md
    - CAS: conf/LSauthMethod/LSauthMethod_CAS.md
    - HTTP: conf/LSauthMethod/LSauthMethod_HTTP.md
- API: api/index.md
- Contribution:
  - Introduction: contrib/index.md
  - Les addons (LSaddon):
    - Introduction: contrib/addons/index.md
    - Les vues personnalisées: contrib/addons/custom-views.md
    - Les commandes CLI personnalisées: contrib/addons/cli-commands.md
  - Les éléments des formulaires (LSformElement): contrib/form-elements.md
  - Les règles de validation syntaxiques (LSformRule): contrib/form-rules.md

markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - pymdownx.highlight:
      anchor_linenums: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - mdx_truly_sane_lists
  - attr_list
  - md_in_html
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
